Loading...
Searching...
No Matches
Opm::Elasticity::OperatorApplier< T > Struct Template Reference

Class abstracting a preconditioner or an inverse operator. More...

`#include <applier.hpp>`

## Public Member Functions

| OperatorApplier (T &t)
| Constructor.
void | apply (Vector &v, Vector &d)
| Apply the given operator to a vector.
void | pre (Vector &x, Vector &b)
| Preprocess a preconditioner, noop for an inverse operator.
void | post (Vector &x)
| Postprocess a preconditioner, noop for an inverse operator.

## Public Attributes

T & | A

## Detailed Description

template<class T>
struct Opm::Elasticity::OperatorApplier< T >

Class abstracting a preconditioner or an inverse operator.

## Constructor & Destructor Documentation

## OperatorApplier()

template<class T>

Opm::Elasticity::OperatorApplier< T >::OperatorApplier | ( | T & | t | ) |

inline explicit

Constructor.

Parameters

  [in] | t | The preconditioner or inverse operator

## Member Function Documentation

## apply()

template<class T>

void Opm::Elasticity::OperatorApplier< T >::apply | ( | Vector & | v,
|  | Vector & | d )

Apply the given operator to a vector.

Parameters

  [out] | v | The result
  [in] | d | The vector to apply to

## post()

template<class T>

void Opm::Elasticity::OperatorApplier< T >::post | ( | Vector & | x | ) |

Postprocess a preconditioner, noop for an inverse operator.

Parameters

  [in,out] | x | The final solution

## pre()

template<class T>

void Opm::Elasticity::OperatorApplier< T >::pre | ( | Vector & | x,
|  | Vector & | b )

Preprocess a preconditioner, noop for an inverse operator.

Parameters

  [in,out] | x | The initial (guessed) solution
  [in,out] | b | The load vector

The documentation for this struct was generated from the following file:

- opm/elasticity/applier.hpp